# Command: switch

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    switch - finish a case ... switch structure

Synopsis:

    mark proc1...procn switch->	-

Examples:

      mark
      false {1 == exit} case
      false {2 == exit} case
      true  {3 == exit} case
      false {4 == exit} case
      switch
      --> 3

      mark {1 ==} {2 ==} switch -->  1 2

Description:

      switch executes proc1 ... procn and removes the mark. If any executed
      proc containes an exit command, switch will remove the other procs without
      execution. switch is used together with case.

Parameters:

      proc1...procn: executable procedure tokens.

Author:

    Gewaltig

FirstVersion:

    ??

SeeAlso:

- case
- switchdefault
- exit
- mark

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/sli/slicontrol.h

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative